APTITUDE(8)

NOMBRE DE REFERENCIA
aptitude - interfaz de alto nivel para la gestión de paquetes

SINOPSIS

aptitude [<opciones>...] {autoclean | clean | forget-new | keep-all | update}

aptitude [<opciones>...] {full-upgrade | safe-upgrade} [<paquetes>...]

aptitude [<options>...] {build-dep | build-depends | changelog | download | forbid-version | hold | install | markauto | purge | reinstall | remove | show | unhold | unmarkauto | versions} <packages>...

aptitude extract-cache-subset <directorio_de_salida> <paquetes>...

aptitude [<opciones>...] search <patrones>...

aptitude [<opciones>...] {add-user-tag | remove-user-tag} <etiqueta> <paquetes>...

aptitude [<opciones>...] {why | why-not} [<patrones>...] <paquete>

aptitude [-S <nombre_de_archivo>] [--autoclean-on-startup | --clean-on-startup | -i | -u]

aptitude help

DESCRIPCIÓN

aptitude es una interfaz de texto para el sistema de paquetes de Debian GNU/Linux.

Permite al usuario ver la lista de paquetes y realizar tareas de gestión tales como instalar, actualizar o eliminar paquetes. Puede llevar a cabo las acciones con una interfaz gráfica o en la línea de órdenes.

ACCIONES EN LA LÍNEA DE ÓRDENES

El primer argumento que no va precedido de un guión (“-”) se toma como una acción que el programa ha de llevar a cabo. Si no se especifica ninguna opción en la línea de órdenes, aptitude iniciará el modo gráfico.

Dispone de las siguientes acciones:

install
    Instalar uno o más paquetes. Los paquetes deben aparecer después de la orden “install”; si un nombre de paquete contiene una tilde (“~”) o un signo de interrogación (“?”), se toma como un patrón de búsqueda y se instalará cada paquete que se corresponda con el patrón (véase la sección “Patrones de búsqueda” en el manual de referencia de aptitude)

    Para seleccionar una versión en particular de un paquete, añada “=<versión>”: por ejemplo, “aptitude install apt=0.3.1”. De manera parecida, para seleccionar un paquete de un archivo (repositorio) en particular, añada “/<archivo>” al nombre del paquete: por ejemplo, “aptitude install apt/experimental”.

    No tiene que instalar todos los paquetes enumerados en la línea de órdenes; puede decirle a aptitude que haga una acción diferente con cada paquete si añade un “especificador de invalidación” al nombre del paquete. Por ejemplo, aptitude remove wesnoth+ instalaría wesnoth, no lo eliminaría. Están disponibles los siguientes “especificadores de invalidación”:

    <paquete>+
        Instalar <paquete>.

    <paquete>+M
        Instalar el <paquete>, y marcarlo inmediatamente como instalado automáticamente (observe que si nada depende del <paquete>, éste se eliminaría inmediatamente).

    <paquete>-
        Eliminar <paquete>.

    <paquete>_
        Purgar el <paquete>: eliminarlo así como todos sus archivos de configuración y de datos asociados a él.

    <paquete>=
        Retener el <paquete>: impide instalar, actualizar o eliminar, así como cualquier futura actualización automática.

    <paquete>:
        Mantener el <paquete> en su versión actual: cancela instalar, eliminar o actualizar. Al contrario que “retener” (véase arriba) esto no impide actualizaciones automáticas en el futuro.

    <paquete>&M
        Marcar el <paquete> como automáticamente instalado.

    <paquete>&m
        Marcar el <paquete> como manualmente instalado.

    Como caso especial, “install” sin argumentos procesaría cualquier acción guardada o pendiente de ejecución.

        Nota
        Una vez que introduce Y en la petición final de confirmación, la orden “install” modificará la información guardada en aptitude relativa a qué acciones ejecutar. Por ello, si ejecuta la orden, por ejemplo, “aptitude install foo bar” y después interrumpe la instalación durante la descarga e instalación de paquetes, necesitará ejecutar “aptitude remove foo bar” para cancelar esa orden.

remove, purge, hold, unhold, keep, reinstall
    Estas órdenes realizan lo mismo que “install”, pero en este caso la acción nombrada afectaría a todos aquellos paquetes en la línea de órdenes que no la invaliden. La diferencia entre hold (retener) y keep (mantener), es que el primero causaría que un paquete se ignorase en futuras órdenes safe-upgrade o full-upgrade, mientras que keep sólo cancela toda acción programada para ese paquete. unhold (anular retención) permitiría actualizar un paquete en un futuro con las órdenes safe-upgrade o full-upgrade, que de otra forma no alterarían su estado.

    Por ejemplo, “aptitude remove '~ndeity'” eliminaría todos los paquetes cuyo nombre contiene “deity”.

markauto, unmarkauto
    Marcar paquetes como automática o manualmente instalado, respectivamente. Los paquetes se especifican al igual que con la orden “install”. Por ejemplo, “aptitude markauto '~slibs'” marcaría todos los paquetes de la sección “libs” como automáticamente instalados.

    Para más información acerca de paquetes automáticamente instalados, véase la sección “Gestionar paquetes automáticamente instalados” del manual de referencia de aptitude.

build-depends, build-dep
    Satisfacer las dependencias de construcción («build-dependencies») de un paquete. Cada nombre de paquete puede ser un paquete fuente, en cuyo caso se instalarán las dependencias de compilación de ese paquete fuente; por otro lado, los paquetes binarios se encuentran de la misma manera que con la orden “install”, y así satisfacer las dependencias de compilación de los paquetes fuente que compilan esos paquetes binarios.

    De estar presente el parámetro de línea de órdenes --arch-only, sólo obedecería aquellas dependencias de compilación independientes de arquitectura (p. ej., no Build-Depends-Indep o Build-Conflicts-Indep).

forbid-version
    Prohibir que un paquete se actualice a un versión determinada. Esto evita que aptitude lo actualice a esa versión, pero permitiría una actualización automática a otra versión futura. De manera predeterminada aptitude escogerá la versión a la que se actualizaría el paquete en cualquier circunstancia; puede invalidar esta selección añadiendo “=<versión>” al nombre del paquete: por ejemplo “aptitude forbid-version vim=1.2.3.broken-4”.

    Esta orden es útil para evitar versiones rotas de paquetes sin necesidad de definir y eliminar retenciones manuales. Si al final decide que realmente quiere la versión prohibida, la orden “install” invalidaría la prohibición.

update
    Actualizar la lista de paquetes disponibles desde las fuentes de apt (equivale a “apt-get update”)

safe-upgrade
    Actualizar los paquetes instalados a su versión más reciente. Los paquetes instalados se eliminarán a menos que no se usen (véase la sección “Gestionar paquetes automáticamente instalados” en la guía de referencia de aptitude). Los paquetes no instalados se pueden instalar para resolver dependencias a menos que se invoque la orden --no-new-installs.

    Si no introduce ningún <paquete> en la línea de órdenes, aptitude intentará actualizar todos los paquetes susceptibles de ello. De no ser así, aptitude intentará actualizar sólo aquellos paquetes que se deben actualizar. Puede extender <paquete> con sufijos de la misma manera que da argumentos a aptitude install, lo que le permite dar a aptitude instrucciones adicionales. Por ejemplo, aptitude safe-upgrade bash dash- intentaría actualizar el paquete bash y eliminar el paquete dash.

    A veces es necesario eliminar un paquete para poder actualizar otro; en tales situaciones esta orden no es capaz de actualizar paquetes. Utilice la orden full-upgrade para actualizar tantos paquetes como sea posible.

full-upgrade
    Actualizar paquetes instalados a su versión más reciente, instalando o eliminando paquetes si es necesario. Esta orden es menos conservadora que safe-upgrade, y por ello más proclive a ejecutar acciones no deseadas. Sin embargo, es capaz de actualizar paquetes que safe-upgrade es incapaz de actualizar.

    If no <package>s are listed on the command line, aptitude will attempt to upgrade every package that can be upgraded. Otherwise, aptitude will attempt to upgrade only the packages which it is instructed to upgrade. The <package>s can be extended with suffixes in the same manner as arguments to aptitude install, so you can also give additional instructions to aptitude here; for instance, aptitude full-upgrade bash dash- will attempt to upgrade the bash package and remove the dash package.

        Nota
        Por razones históricas, la orden se llamaba originalmente dist-upgrade, y aptitude aún reconoce dist-upgrade como sinónimo de full-upgrade.

keep-all
    Cancelar todas las acciones programadas para cualquier paquete; se volverá al estado original cualquier paquete cuyo estado virtual indique instalar, actualizar o eliminar el paquete.

forget-new
    Olvidar toda información interna relativa a qué paquetes son “nuevos” (equivale a pulsar “f” en el modo gráfico).

search
    Buscar paquetes que coincidan con uno de los patrones introducidos en la línea de órdenes. Se mostrarían todos los paquetes que coincidan con cualquier patrón introducido; por ejemplo “aptitude search '~N' edit” listaría todos los paquetes “nuevos” y todos aquellos paquetes cuyo nombre contenga “edit”. Para más información acerca de patrones de búsqueda, véase la siguiente sección en la guía de referencia de aptitude “Patrones de búsqueda”.

        Nota
        In the example above, “aptitude search '~N' edit” has two arguments after search and thus is searching for two patterns: “~N” and “edit”. As described in the search pattern reference, a single pattern composed of two sub-patterns separated by a space (such as “~N edit”) matches only if both patterns match. Thus, the command “aptitude search '~N edit'” will only show “new” packages whose name contains “edit”.

    A menos que introduzca la opción -F, la salida de aptitude search tendrá este aspecto:

        i   apt                             - Advanced front-end for dpkg
        pi  apt-build                       - frontend to apt to build, optimize and in
        cp  apt-file                        - APT package searching utility -- command-
        ihA raptor-utils                    - Raptor RDF Parser utilities

    Cada resultado de la búsqueda aparece en una línea distinta. El primer carácter de cada línea indica el estado actual del paquete: los estados más comunes son p, no se encontró ninguna señal de que tal paquete exista en el sistema, c, el paquete se eliminó pero sus archivos de configuración permanecen en el sistema, i, el paquete está instalado, y v, que significa que el paquete es virtual. El segundo carácter indica la acción programada (de existir, si no, verá un espacio en blanco) para el paquete. Las acciones principales son i, el paquete se va a instalar, d, el paquete se va a eliminar, y p, que significa que el paquete y sus archivos de configuración se van a eliminar completamente (purgar). Si el carácter es A, es que el paquete se instaló automáticamente.

    Para una lista completa de las marcas de estado y de acción posibles, véase la sección “Acceder a la información de los paquetes” en la guía de referencia de aptitude. Para personalizar la salida de search, véase las opciones de línea de órdenes -F y --sort.

show
    Mostrar información detallada relativa a uno o más paquetes, listados de acuerdo a la orden «search». Si el nombre de un paquete contiene un carácter de tilde (“~”) o un signo de interrogación (“?”), se tomará como un patrón de búsqueda y verá todos aquellos paquetes coincidentes (véase la sección “Patrones de búsqueda” en el manual de referencia de aptitude).

    Si el nivel de verbosidad es 1 o mayor (p. ej., al menos hay un -v en la línea de órdenes), aparecerá información acerca de todas las versiones de los paquetes. De no ser así, se muestra la información acerca de la “versión candidata” (la versión que “aptitude install” descargaría).

    Puede ver información relativa a una versión diferente del paquete añadiendo =<versión> al nombre del paquete; puede ver la versión de un archivo o distribución en particular añadiendo /<archivo> o /<distribución>al nombre del paquete. De introducirse uno, solo se mostrará la versión que Ud. requirió, independientemente del nivel de verbosidad.

    Si el nivel de verbosidad es 1 o mayor, se mostrará la arquitectura del paquete, tamaño comprimido, nombre de archivo y la suma de control md5. Si el nivel de verbosidad es 2 o mayor, la versión o versiones seleccionadas se mostrarán una vez por cada archivo en el que se encontraron.

versions
    Displays the versions of the packages listed on the command-line.

        $ aptitude versions wesnoth
        p   1:1.4.5-1                                                             100
        p   1:1.6.5-1                                    unstable                 500
        p   1:1.7.14-1                                   experimental             1

    Each version is listed on a separate line. The leftmost three characters indicate the current state, planned state (if any), and whether the package was automatically installed; for more information on their meanings, see the documentation of aptitude search. To the right of the version number you can find the releases from which the version is available, and the pin priority of the version.

    If a package name contains a tilde character (“~”) or a question mark (“?”), it will be treated as a search pattern and all matching versions will be displayed (see the section “Search Patterns” in the aptitude reference manual). This means that, for instance, aptitude versions '~i' will display all the versions that are currently installed on the system and nothing else, not even other versions of the same packages.

        $ aptitude versions '~nexim4-daemon-light'
        Package exim4-daemon-light:
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        Package exim4-daemon-light-dbg:
        p   4.71-4                                       unstable                 500

    If the input is a search pattern, or if more than one package's versions are to be displayed, aptitude will automatically group the output by package, as shown above. You can disable this via --group-by=none, in which case aptitude will display a single list of all the versions that were found and automatically include the package name in each output line:

        $ aptitude versions --group-by=none '~nexim4-daemon-light'
        i   exim4-daemon-light 4.71-3                                             100
        p   exim4-daemon-light 4.71-4                    unstable                 500
        p   exim4-daemon-light-dbg 4.71-4                unstable                 500

    To disable the package name, pass --show-package-names=never:

        $ aptitude versions --show-package-names=never --group-by=none '~nexim4-daemon-light'
        i   4.71-3                                                                100
        p   4.71-4                                       unstable                 500
        p   4.71-4                                       unstable                 500

    In addition to the above options, the information printed for each version can be controlled by the command-line option -F. The order in which versions are displayed can be controlled by the command-line option --sort. To prevent aptitude from formatting the output into columns, use --disable-columns.

add-user-tag, remove-user-tag
    Añadir una etiqueta de usuario o quitar una etiqueta de usuario del grupo de paquetes seleccionado. Si el nombre de un paquete contiene una tilde (“~”) o un signo de interrogación (“?”), se tomará como un patrón de búsqueda y la etiqueta se añadirá o quitará a todos los paquetes que coinciden con el patrón (véase la sección “Patrones de búsqueda” en el manual de referencia de aptitude).

    Las etiquetas de usuario son cadenas arbitrarias asociadas a un paquete. Pueden utilizarse en conjunción con el término de búsqueda ?user-tag(<etiqueta>), el cual selecciona todos los paquetes con una etiqueta de usuario que coincide con <etiqueta>.

why, why-not
    Explicar la razón de que un paquete en particular no se debería, o deba, instalar en el sistema.

    Esta orden busca paquetes que requieren o entran en conflicto con el paquete dado. Muestra una secuencia de dependencias que llevan al paquete objetivo, acompañado de una nota que indica el estado de instalación de cada paquete en la cadena de dependencias.

        $ aptitude why kdepim
        i   nautilus-data Recomienda nautilus
        i A nautilus      Recomienda desktop-base (>= 0.2)
        i A desktop-base  Sugiere   gnome | kde | xfce4 | wmaker
        p   kde           Depende de   kdepim (>= 4:3.4.3)

    La orden why busca una cadena de dependencias que instala el paquete nombrado en la línea de órdenes, tal y como se ve arriba. Tenga en cuenta que la dependencia que aptitude ha generado en este caso es sólo una sugerencia. Esto se debe a que ningún paquete instalado actualmente en el sistema depende o recomienda el paquete kdepim; de haber una dependencia más fuerte, aptitude la habría mostrado.

    Al contrario, why-not encuentra una cadena de dependencias que lleva a un conflicto con el paquete objetivo.

        $ aptitude why-not textopo
        i   ocaml-core          Depende de   ocamlweb
        i A ocamlweb            Depende de   tetex-extra | texlive-latex-extra
        i A texlive-latex-extra tiene conflictos con textopo

    Si hay uno o más <patrones>, aptitude iniciará la búsqueda a partir de estos patrones; esto es, el primer paquete de la cadena que devuelva será un paquete que coincide con el patrón en cuestión. Estos patrones se consideran como nombres de paquete a menos que contengan un signo de tilde (“~”) o un signo de interrogación (“?”), en cuyo caso se toman como patrones de búsqueda (véase la sección “Patrones de búsqueda” en el manual de referencia de aptitude).

    Si no introduce ningún patrón, aptitude busca cadenas de dependencias qué se inician en paquetes manualmente instalados. Esto muestra con efectividad los paquetes que han causado o causarían que se instalase un paquete en particular.

        Nota
        aptitude why no ejecuta una resolución completa de dependencias, solo muestra relaciones directas entre paquetes. Por ejemplo, si A depende de B, C depende de D, y B y C entran en conflicto, “aptitude why-not D” no devolvería la respuesta “A depende de B, B entra en conflicto con C, y D depende de C”.

    De manera predeterminada, aptitude solo muestra la cadena de dependencias “con más paquetes instalados, la más fuerte, precisa y corta”. Esto significa que busca una cadena que solo contiene paquetes instalados y que se van a instalar; busca las dependencias más fuertes posibles bajo esa restricción; busca cadenas que evitan dependencias «OR» y «Provee»; y busca la cadena de dependencias más corta que se ajusta a estos criterios. Estas reglas se debilitan de manera progresiva hasta encontrar una correspondencia.

    Si el nivel de verbosidad es 1 o más, se mostrarán todas las explicaciones que aptitude pueda encontrar, en orden inverso de importancia. Si el nivel de verbosidad es 2 o más, se mostrará una cantidad realmente excesiva de información de depuración de fallos a través de la salida estándar.

    Esta orden devuelve 0 si tiene éxito, 1 si no se pudo generar una explicación, y -1 en caso de error.

clean
    Eliminar todos los paquetes .deb del directorio almacén de paquetes (generalmente /var/cache/apt/archives).

autoclean
    Eliminar todos los paquetes del almacén que ya no se pueden descargar. Esto le permite evitar que un almacén crezca sin control a lo largo del tiempo, sin tener que vaciarlo en su totalidad.

changelog
    Descargar y mostrar el registro de cambios de Debian para cada paquete binario o fuente dado.

    De manera predeterminada, se descarga el registro de cambios de la versión que se va a instalar con “aptitude install”. Puede seleccionar una versión en particular de un paquete añadiendo =<versión> al nombre del paquete; puede seleccionar una versión de un archivo o distribución en particular añadiendo /<archivo> o /<distribución>al nombre del paquete (por ejemplo, /unstable o /sid).

download
    Descargar el archivo .deb del paquete dado al directorio actual. Si el nombre de un paquete contiene un signo de tilde (“~”) o un signo de interrogación (“?”), se tomará como un patrón de búsqueda y se descargarán todos los paquetes correspondientes (véase la sección “Patrones de búsqueda” del manual de referencia de aptitude).

    De manera predeterminada, se descarga la versión que se instalaría con “aptitude install”. Puede seleccionar una versión en particular de un paquete añadiendo =<versión> al nombre del paquete; puede seleccionar una versión de un archivo o distribución en particular añadiendo /<archivo> o /<release> al nombre del paquete (por ejemplo, /unstable o /sid).

extract-cache-subset
    Copiar el directorio de configuración de apt (/etc/apt) y un subconjunto de la base de datos de paquetes al directorio especificado. Si no menciona ningún paquete se copiará la base de datos de paquetes en su totalidad; de otra forma sólo se copiarán las entradas correspondientes a los paquetes nombrados. Cada nombre de paquete puede ser un patrón de búsqueda, y se seleccionarán todos los paquetes que se correspondan con el patrón (véase la sección “Patrones de búsqueda”). Cualquier base de datos de paquetes presente en el directorio de salida se sobreescribirá.

    Las dependencias en estancias de paquete binarias se reescribirán para eliminar referencias a paquetes que no se encuentren en el conjunto seleccionado.

help
    Mostrar un breve resumen de las órdenes disponibles y sus opciones.

OPCIONES

Puede utilizar las siguientes opciones para modificar el comportamiento de las acciones descritas anteriormente. Observe que mientras que todas las órdenes aceptan todas las opciones, algunas opciones no afectan a ciertas órdenes y estas órdenes las ignorarán.

--add-user-tag <etiqueta>
    Para full-upgrade, safe-upgrade, forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, y unmarkauto: añadir la etiqueta de usuario <etiqueta> a todos los paquetes instalados, eliminados o actualizados mediante esta orden, al igual que con la orden add-user-tag.

--add-user-tag-to <etiqueta>,<patrón>
    Para full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, and unmarkauto: añadir la etiqueta de usuario <etiqueta> a todos los paquetes que coinciden con <patrón> al igual que con la orden add-user-tag. El patrón es un patrón de búsqueda tal y como se describe en la sección “Patrones de búsqueda” en el manual de referencia de aptitude.

    Por ejemplo, aptitude safe-upgrade --add-user-tag-to "new-installs,?action(install)" añadiría la etiqueta new-installs a todos los paquetes instalados mediante la orden safe-upgrade.

--allow-new-upgrades
    Cuando se usa el solucionador seguro (p. ej., ha introducido --safe-resolver o se definió Aptitude::Always-Use-Safe-Resolver con valor de true), permite al solucionador de dependencias actualizar paquetes independientemente del valor de Aptitude::Safe-Resolver::No-New-Upgrades.

--allow-new-installs
    Permitir que la orden safe-upgrade instale paquetes nuevos; cuando se usa el solucionador seguro (p. ej., ha introducido --safe-resolver o se ha definido Aptitude::Always-Use-Safe-Resolver con valor de true), permite al solucionador de dependencias instalar paquetes nuevos. Esta opción tiene efecto sin importar el valor de Aptitude::Safe-Resolver::No-New-Installs.

--allow-untrusted
    Instalar paquetes de fuentes sin firmar sin pedir confirmación. Debería utilizar esto sólo si sabe lo que está haciendo, ya que podría comprometer fácilmente la seguridad de su sistema.

--disable-columns
    This option causes aptitude search and aptitude version to output their results without any special formatting. In particular: normally aptitude will add whitespace or truncate search results in an attempt to fit its results into vertical “columns”. With this flag, each line will be formed by replacing any format escapes in the format string with the correponding text; column widths will be ignored.

    Por ejemplo, las primeras líneas de la salida de “aptitude search -F '%p %V' --disable-columns libedataserver” pueden ser:

        disksearch 1.2.1-3
        hp-search-mac 0.1.3
        libbsearch-ruby 1.5-5
        libbsearch-ruby1.8 1.5-5
        libclass-dbi-abstractsearch-perl 0.07-2
        libdbix-fulltextsearch-perl 0.73-10

    Como se aprecia en el ejemplo anterior, --disable-columns es a menudo útil en combinación con un formato de diseño personalizado usando la opción en línea de órdenes -F.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Disable-Columns.

-D, --show-deps
    Mostrar explicaciones breves de las instalaciones y eliminaciones automáticas de las órdenes que instalarán o eliminarán paquetes (install, full-upgrade, etc)

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Show-Deps.

-d, --download-only
    Descargar cuántos paquetes se necesitan al almacén de paquetes, pero no instalar o eliminar nada. De manera predeterminada, el almacén de paquetes se guarda en /var/cache/apt/archives.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Download-Only.

-F <formato>, --display-format <formato>
    Specify the format which should be used to display output from the search and version commands. For instance, passing “%p %V %v” for <format> will display a package's name, followed by its currently installed version and its available version (see the section “Customizing how packages are displayed” in the aptitude reference manual for more information).

    La opción en línea de órdenes --disable-columns es a veces útil combinado con -F.

    For search, this corresponds to the configuration option Aptitude::CmdLine::Package-Display-Format; for versions, this corresponds to the configuration option Aptitude::CmdLine::Version-Display-Format.

-f
    Intentar arreglar agresivamente las dependencias de paquetes rotos, incluso si ello significa ignorar las acciones introducidas en la línea de órdenes.

    Esto se corresponde con el elemento de configuración Aptitude::CmdLine::Fix-Broken.

--full-resolver
    Cuando se encuentren problemas de dependencias de paquetes, utilizar el solucionador predeterminado “full” (completo). A diferencia del solucionador “seguro” (el cual se ejecuta mediante --safe-resolver), el solucionador completo eliminará con alegría cualquier paquete para así cumplir con las dependencias. Puede solucionar más situaciones que el algoritmo seguro, pero puede que sus soluciones sean indeseables.

    Esta opción se puede utilizar para forzar el uso del solucionador completo aunque Aptitude::Always-Use-Safe-Resolver tenga valor de «true». La orden safe-upgrade nunca utiliza el solucionador completo, y no acepta la opción --full-resolver.

--group-by <grouping-mode>
    Control how the versions command groups its output. The following values are recognized:

        • archive to group packages by the archive they occur in (“stable”, “unstable”, etc). If a package occurs in several archives, it will be displayed in each of them.

        • auto to group versions by their package unless there is exactly one argument and it is not a search pattern.

        • none to display all the versions in a single list without any grouping.

        • package to group versions by their package.

        • source-package to group versions by their source package.

        • source-version to group versions by their source package and source version.

    This corresponds to the configuration option Aptitude::CmdLine::Versions-Group-By.

-h, --help
    Muestra un breve mensaje de ayuda. Idéntica a la acción help.

--log-file=<archivo>
    Si el <archivo> es una cadena que no esta vacía, en él se escribirán los mensajes del registro. Pero si <archivo> es “-” los mensajes saldrán por la salida convencional. Si introduce esta opción varias veces, la última aparición es la que tiene efecto.

    This does not affect the log of installations that aptitude has performed (/var/log/aptitude); the log messages written using this configuration include internal program events, errors, and debugging messages. See the command-line option --log-level to get more control over what gets logged.

    Esto se corresponde con la opción de configuración Aptitude::Logging::File.

--log-level=<nivel>, --log-level=<categoría>:<nivel>
    --log-level=<nivel> provoca que aptitude registre mensajes cuyo nivel es <nivel>, o superior. Por ejemplo, si define el nivel de registro como error, solo los mensajes al nivel de error y fatal se mostrarían; todos los otros se ocultarían. Los niveles de registro (en orden descendente) son off, fatal, error, warn, info, debug, y trace. El nivel de registro predeterminado es warn.

    --log-level=<categoría>:<nivel> hace que los mensajes pertenecientes a <categoría> se registren solo si su nivel es <nivel> o superior.

    --log-level puede aparecer varias veces en la línea de órdenes; la configuración más específica es la que tiene efecto. Si introduce --log-level=aptitude.resolver:fatal y --log-level=aptitude.resolver.hints.match:trace, los mensajes en aptitude.resolver.hints.parse se imprimirán sólo si su nivel es fatal, pero aquellos mensajes en aptitude.resolver.hints.match se mostrarán. Si configura el nivel de la misma categoría dos o más veces, la última configuración es la que tiene efecto.

    This does not affect the log of installations that aptitude has performed (/var/log/aptitude); the log messages written using this configuration include internal program events, errors, and debugging messages. See the command-line option --log-file to change where log messages go.

    Esto se corresponde con el grupo de configuración Aptitude::Logging::Levels.

--log-resolver
    Definir algunos niveles estándar del registro relativos al solucionador, para producir una salida del registro apropiada para su procesamiento con herramientas automáticas. Esto equivale a las opciones en línea de órdenes --log-level=aptitude.resolver.search:trace --log-level=aptitude.resolver.search.tiers:warn.

--no-new-installs
    Evitar que safe-upgrade instale cualquier paquete nuevo; cuando se utiliza el solucionador seguro (p. ej., introdujo --safe-resolver, o Aptitude::Always-Use-Safe-Resolver tiene valor de «true»), impide que el solucionador de dependencias instale paquetes nuevos. Esta opción tiene efecto independientemente del valor de Aptitude::Safe-Resolver::No-New-Installs.

    Esto imita el comportamiento histórico de apt-get upgrade.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Safe-Upgrade::No-New-Installs.

--no-new-upgrades
    Cuando se utiliza el solucionador seguro (p. ej., ha introducido --safe-resolver o Aptitude::Always-Use-Safe-Resolver se ha definido como true), permite al solucionador de dependencias instalar software nuevo independientemente del valor de Aptitude::Safe-Resolver::No-New-Installs.

--no-show-resolver-actions
    No mostrar las acciones ejecutadas por el solucionador “seguro”, invalidando toda opción de configuración o una orden anterior --show-resolver-actions.

-O <orden>, --sort <orden>
    Specify the order in which output from the search and versions commands should be displayed. For instance, passing “installsize” for <order> will list packages in order according to their size when installed (see the section “Customizing how packages are sorted” in the aptitude reference manual for more information).

    The default sort order is name,version.

-o <llave>=<valor>
    Definir directamente una opción del archivo de configuración; por ejemplo, use -o Aptitude::Log=/tmp/my-log para registrar las acciones de aptitude a /tmp/my-log. Para más información acerca de las opciones del archivo de configuración, véase la sección “Referencia del archivo de configuración” en el manual de referencia de aptitude.

-P, --prompt
    Siempre pedir una confirmación antes de descargar, instalar o eliminar paquetes, aunque no haya otras acciones programadas más que las que Ud. requirió.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Always-Prompt.

--purge-unused
    Si define Aptitude::Delete-Unused como “true” (su valor predeterminado), además de eliminar cada paquete que ya no necesite ningún otro paquete instalado, aptitude los purgará, borrando sus archivos de configuración y puede que otros datos importantes. Para más información relativa a qué paquetes se consideran “en desuso”, véase la sección “Gestionar paquetes automáticamente instalados”. ¡ESTA OPCIÓN PUEDE OCASIONAR PÉRDIDA DE DATOS! ¡NO LA USE A MENOS QUE SEPA LO QUE ESTÁ HACIENDO!

    Esto se corresponde con la opción de configuración Aptitude::Purge-Unused.

-q[=<n>], --quiet[=<n>]
    Eliminar todos los indicadores de progreso incrementales, permitiéndole registrar la salida. Puede introducirlo varias veces para disminuir los mensajes del programa, pero al contrario que apt-get, aptitude no activa -y cuando introduce q.

    Se puede utilizar la orden opcional =<número> para configurar directamente la cuantía de silencio (por ejemplo, para invalidar una configuración en /etc/apt/apt.conf); causa que el programa responda como si se hubiese introducido -q <número> veces.

-R, --without-recommends
    No toma recomendaciones como dependencias a la hora de instalar paquetes (esto invalida las configuraciones en /etc/apt/apt.conf y ~/.aptitude/config)

    Esto se corresponde con las dos opciones de configuración Apt::Install-Recommends y Apt::AutoRemove::InstallRecommends.

-r, --with-recommends
    Tratar las recomendaciones como dependencias a la hora de instalar paquetes nuevos (esto invalida las configuraciones en /etc/apt/apt.conf y ~/.aptitude/config).

    Esto se corresponde con la opción de configuración Apt::Install-Recommends

--remove-user-tag <etiqueta>
    Para full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, y unmarkauto: eliminar la etiqueta de usuario <etiqueta> de todos los paquetes que se van a instalar, eliminar o actualizar con esta orden, al igual que con la orden add-user-tag.

--remove-user-tag-from <etiqueta>,<patrón>
    Para full-upgrade, safe-upgrade forbid-version, hold, install, keep-all, markauto, unmarkauto, purge, reinstall, remove, unhold, y unmarkauto: eliminar la etiqueta de usuario <etiqueta> de todos los paquetes que coinciden con <patrón> al igual que con la orden remove-user-tag. El patrón es un patrón de búsqueda tal y como se describe en la sección “Patrones de búsqueda” en el manual de referencia de aptitude.

    Por ejemplo, aptitude safe-upgrade --remove-user-tag-from "not-upgraded,?action(upgrade)" borraría toda etiqueta not-upgraded de cualquier paquete que la orden safe-upgrade pueda actualizar.

-s, --simulate
    En modo de línea de órdenes, imprime las acciones que se tomarían, pero no las ejecuta, sino que las simula. Esto no precisa de privilegios de administrador (root). En la interfaz gráfica, abre el almacén con privilegios de sólo lectura independientemente de si es, o no, el administrador.

    Esto se corresponde con la opción de configuración Aptitude::Simulate.

--safe-resolver
    Cuando se encuentre un problema de dependencias, usar un algoritmo “safe” (seguro) para resolverlos. Este solucionador intenta preservar tantas elecciones suyas como sea posible; nunca eliminará un paquete o instalará una versión que no sea la versión candidata del paquete. Es el mismo algoritmo usado con safe-upgrade; efectivamente, aptitude --safe-resolver full-upgrade equivale aaptitude safe-upgrade. Debido a que safe-upgrade siempre usa el solucionador seguro, no acepta la marca --safe-resolver.

    Esta opción equivale a definir la variable de configuración Aptitude::Always-Use-Safe-Resolver como true.

--schedule-only
    Programa las operaciones de las órdenes que modifican el estado de los paquetes, sin ejecutarlos realmente. Puede ejecutar acciones programadas ejecutando aptitude install sin introducir argumentos. Esto equivale a realizar las selecciones correspondientes en la interfaz gráfica, y cerrar el programa tras ello.

    Por ejemplo. aptitude --schedule-only install evolution programa una instalación ulterior para el paquete evolution.

--show-package-names <when>
    Controls when the versions command shows package names. The following settings are allowed:

        • always: display package names every time that aptitude versions runs.

        • auto: display package names when aptitude versions runs if the output is not grouped by package, and either there is a pattern-matching argument or there is more than one argument.

        • never: never display package names in the output of aptitude versions.

    This option corresponds to the configuration item Aptitude::CmdLine::Versions-Show-Package-Names.

--show-resolver-actions
    Mostrar las acciones tomadas por el solucionador seguro (“safe”).

--show-summary[=<MODO>]
    Modificar el comportamiento de “aptitude why” para que la salida sea un resumen de la cadena de dependencias, mas que mostrar la forma completa. Si esta opción está presente y el <MODO> no es “no-summary”, las cadenas que contengan dependencias del tipo «Sugiere» no se mostrarán: combine --show-summary con -v para ver un resumen de todas las razones por las que el paquete objetivo se va a instalar.

    El <MODO> puede ser cualquiera de los siguientes:

        1. no-summary: no mostrar el resumen (el comportamiento predeterminado si no se ha introducido --show-summary).

        2. first-package: mostrar el primer paquete de cada cadena. Este es el valor predeterminado de <MODO> si no está presente.

        3. first-package-and-type: mostrar el primer paquete de cada cadena, acompañado de la fuerza de la dependencia más débil de la cadena.

        4. all-packages: mostrar un resumen de cada cadena de dependencias que lleva al paquete objetivo.

        5. all-packages-with-dep-versions: mostrar un resumen de cada cadena de dependencias que conduce al paquete objetivo, incluyendo la versión objetivo de cada dependencia.

    Esta opción se corresponde con el elemento de configuración Aptitude::CmdLine::Show-Summary; de estar presente --show-summary en la línea de órdenes, invalidaría Aptitude::CmdLine::Show-Summary.

    Ejemplo 10. Uso de --show-summary. --show-summary en conjunción con -v muestra las razones de porqué un paquete está instalado:

        $ aptitude -v --show-summary why foomatic-db
        Paquetes que dependen de foomatic-db:
          cupsys-driver-gutenprint
          foomatic-db-engine
          foomatic-db-gutenprint
          foomatic-db-hpijs
          foomatic-filters-ppds
          foomatic-gui
          kde
          printconf
          wine
        $ aptitude -v --show-summary=first-package-and-type why foomatic-db
        Paquetes que dependen de foomatic-db:
          [Depende] cupsys-driver-gutenprint
          [Depende] foomatic-db-engine
          [Depende] foomatic-db-gutenprint
          [Depende] foomatic-db-hpijs
          [Depende] foomatic-filters-ppds
          [Depende] foomatic-gui
          [Depende] kde
          [Depende] printconf
          [Depende] wine
        $ aptitude -v --show-summary=all-packages why foomatic-db
        Paquetes que dependen de foomatic-db:
          cupsys-driver-gutenprint D: cups-driver-gutenprint D: cups R: foomatic-filters R: foomatic-db-engine D: foomatic-db
          foomatic-filters-ppds D: foomatic-filters R: foomatic-db-engine D: foomatic-db
          kde D: kdeadmin R: system-config-printer-kde D: system-config-printer R: hal-cups-utils D: cups R: foomatic-filters R: foomatic-db-engine D: foomatic-db
          wine D: libwine-print D: cups-bsd R: cups R: foomatic-filters R: foomatic-db-engine D: foomatic-db
          foomatic-db-engine D: foomatic-db
          foomatic-db-gutenprint D: foomatic-db
          foomatic-db-hpijs D: foomatic-db
          foomatic-gui D: python-foomatic D: foomatic-db-engine D: foomatic-db
          printconf D: foomatic-db
        $ aptitude -v --show-summary=all-packages-with-dep-versions why foomatic-db
        Paquetes que dependen de foomatic-db:
          cupsys-driver-gutenprint D: cups-driver-gutenprint (>= 5.0.2-4) D: cups (>= 1.3.0) R: foomatic-filters (>= 4.0) R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          foomatic-filters-ppds D: foomatic-filters R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          kde D: kdeadmin (>= 4:3.5.5) R: system-config-printer-kde (>= 4:4.2.2-1) D: system-config-printer (>= 1.0.0) R: hal-cups-utils D: cups R: foomatic-filters (>= 4.0) R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          wine D: libwine-print (= 1.1.15-1) D: cups-bsd R: cups R: foomatic-filters (>= 4.0) R: foomatic-db-engine (>= 4.0) D: foomatic-db (>= 20090301)
          foomatic-db-engine D: foomatic-db
          foomatic-db-gutenprint D: foomatic-db
          foomatic-db-hpijs D: foomatic-db
          foomatic-gui D: python-foomatic (>= 0.7.9.2) D: foomatic-db-engine D: foomatic-db (>= 20090301)
          printconf D: foomatic-db

    --show-summary se emplea para mostrar la cadena en una línea:

        $ aptitude --show-summary=all-packages why aptitude-gtk libglib2.0-data
        Paquetes que dependen de libglib2.0-data:
          aptitude-gtk D: libglib2.0-0 R: libglib2.0-data

-t <distribución>, --target-release <distribución>
    Definir la rama de la que se deberían instalar los paquetes. Por ejemplo, “aptitude -t experimental ...” instalaría paquetes de la distribución «experimental» a menos que especifique lo contrario. Para las acciones en línea de órdenes “changelog”, “download”, y “show”, esto equivale a añadir /<rama> al final de cada paquete nombrado en la línea de órdenes; para otras órdenes, esto afecta a la versión candidata de los paquetes de acuerdo a las reglas descritas en apt_preferences(5).

    Esto se corresponde con el elemento de configuración APT::Default-Release.

-V, --show-versions
    Mostrar qué versiones de paquetes se van a instalar.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Show-Versions.

-v, --verbose
    Causar que algunas órdenes, (tales como show) muestren información adicional. Esto se puede introducir varias veces para así obtener más y más información.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Verbose.

--version
    Mostrar la versión de aptitude y cierta información acerca de como se compiló.

    Cuando ejecuta la orden safe-upgrade o cuando se ha introducido la opción --safe-resolver, aptitude mostrará un resumen de las acciones tomadas por el solucionador antes de imprimir la previsualización de la instalación. Esto equivale a las opciones de configuración Aptitude::CmdLine::Safe-Upgrade::Show-Resolver-Actions y Aptitude::Safe-Resolver::Show-Resolver-Actions.

--visual-preview
    Mostrar la pantalla de previsualización de la interfaz gráfica al eliminar o instalar paquetes desde la línea de órdenes, en lugar de la pantalla normal.

-W, --show-why
    En la pantalla de previsualización que se muestra antes de instalar o eliminar paquetes, mostrar las dependencias de paquetes manualmente instalados sobre cada paquete automáticamente instalado. Por ejemplo:

        $ aptitude --show-why install mediawiki
        ...
        Se van a instalar los siguientes paquetes NUEVOS:
          libapache2-mod-php5{a} (for mediawiki)  mediawiki  php5{a} (for mediawiki)
          php5-cli{a} (for mediawiki)  php5-common{a} (for mediawiki)
          php5-mysql{a} (for mediawiki)

    En combinación con -v o un valor que no equivalga a 0 para Aptitude::CmdLine::Verbose, mostrar la cadena de dependencias completa que conducen a cada paquete que se va a instalar. Por ejemplo:

        $ aptitude -v --show-why install libdb4.2-dev
        Se instalarán los siguiente paquetes NUEVOS:
          libdb4.2{a} (libdb4.2-dev D: libdb4.2)  libdb4.2-dev
        Se ELIMINARÁN los siguientes paquetes:
          libdb4.4-dev{a} (libdb4.2-dev C: libdb-dev P<- libdb-dev)

    Esta opción también describiría porqué los paquetes se van a eliminar, como puede observar en el texto anterior. En este ejemplo, libdb4.2-dev entra en conflicto con libdb-dev, que provee libdb-dev.

    Este argumento se corresponde con la opción de configuración Aptitude::CmdLine::Show-Why, y muestra la misma información computada por aptitude why y aptitude why-not.

-w <ancho>, --width <ancho>
    Especificar el ancho de pantalla que se debería emplear en la salida de la orden search (el ancho de la terminal se usa de manera predeterminada).

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Package-Display-Width

-y, --assume-yes
    Cuando se presente una pregunta si/no, se asumirá que el usuario introdujo “si”. En particular, suprime la previsualización final cuando instala, actualizar o elimina paquetes. Aún así, verá preguntas acerca de acciones “peligrosas” tales como eliminar paquetes esenciales. Esta opción invalida -P.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Assume-Yes.

-Z
    Mostrar cuanto espacio del disco se va usar o liberar por cada paquete individual que se va a instalar, actualizar, o eliminar.

    Esto se corresponde con la opción de configuración Aptitude::CmdLine::Show-Size-Changes.

Las siguientes opciones afectan a la interfaz gráfica del programa, pero se han diseñado para un uso interno; generalmente, no tendrá que utilizarlas.

--autoclean-on-startup
    Eliminar los archivos descargados y antiguos al inicio (equivale a iniciar el programa y seleccionar inmediatamente Acciones → Limpiar el almacén de paquetes). No puede usar esta opción y “--autoclean-on-startup”, “-i”, o “-u” a la vez.

--clean-on-startup
    Vaciar el almacén de paquetes cuando el programa se inicia (equivale a iniciar el programa y seleccionar inmediatamente Acciones → Limpiar el almacén de paquetes). No puede usar esta opción y “--autoclean-on-startup”, “-i”, o “-u” a la vez.

-i
    Mostrar una previsualización de la descarga cuando se inicia el programa (equivale a iniciar el programa y pulsar “g” inmediatamente). No puede utilizar esta opción y “--autoclean-on-startup”, “--clean-on-startup”, o “-u” a la vez.

-S <nombre_de_archivo>
    Cargar la información de estado extendida desde <nombre_de_archivo> en lugar del archivo estándar de estado.

-u
    Actualizar la lista de paquetes en cuanto se inicia el programa. No puede usar esta opción y “--autoclean-on-startup”, “--clean-on-startup”, o “-i” a la vez.

ENTORNO

HOME
    Si existe «$HOME/.aptitude», aptitude guardará su archivo de configuración en «$HOME/.aptitude/config». De no ser así, buscará en el directorio de inicio del usuario actual usando getpwuid(2), y guardará ahí su archivo de configuración.

PAGER
    Si define esta variable de entorno aptitude la usará para mostrar los registros de cambios cuando invoque “aptitude changelog”. De no ser así, su valor predeterminado es more.

TMP
    Si no define TMPDIR, aptitude guardará sus archivos temporales en TMP si se ha definido esa variable. De no ser así, los guardará en /tmp.

TMPDIR
    aptitude guardará sus archivos temporales en el directorio indicado en esta varible de entorno. Si no define TMPDIR, se usará TMP; si tampoco ha definido TMP, aptitude usará /tmp.

ARCHIVOS

/var/lib/aptitude/pkgstates
    El archivo en el que se guardan los estados de los paquetes y algunas marcas de acción.

/etc/apt/apt.conf, /etc/apt/apt.conf.d/*, ~/.aptitude/config
    Los archivos de configuración de aptitude. ~/.aptitude/config invalida /etc/apt/apt.conf. Véase apt.conf(5) para la documentación relativa al formato y contenido de estos archivos.

VÉASE TAMBIÉN

apt-get(8), apt(8), /usr/share/doc/aptitude/html/<es>/index.html disponible en el paquete aptitude-doc-<es>

AUTOR

Daniel Burrows <dburrows@debian.org>
    Autor.

COPYRIGHT

Copyright 2004-2010 Daniel Burrows.

This manual page is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This manual page is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.